Subject: Re: [PATCH] parse-opt: migrate fmt-merge-msg.

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 30 Sep 2008 12:10:14 -0700

Pierre Habouzit <[email-masked]> wrote:
> On Mon, Sep 29, 2008 at 04:35:23PM +0000, Shawn O. Pearce wrote:
> > Pierre Habouzit <[email-masked]> wrote:
> > > Also fix an inefficient printf("%s", ...) where we can use write_in_full.
> > 
> > Near as I can tell, this is based upon a merge commit in next.
> 
> Hmm I've always sent my patches this way, and I believe you can git am
> -3 them on top of master easily. I can send you the updated series if
> you want.

I'd appreciate an updated series if you can send it.  am -3 isn't
"easily" applying it.  Here I define "easy" as "the patch applies
without me needing to resolve conflicts":

 $ git co -b ph/parseopt master
 $ git am -3 -s X
 Applying: parse-opt: migrate fmt-merge-msg.
 error: patch failed: builtin-fmt-merge-msg.c:5
 error: builtin-fmt-merge-msg.c: patch does not apply
 Using index info to reconstruct a base tree...
 Falling back to patching base and 3-way merge...
 CONFLICT (content): Merge conflict in builtin-fmt-merge-msg.c
 Recorded preimage for 'builtin-fmt-merge-msg.c'
 Failed to merge in the changes.
 Patch failed at 0001.
 When you have resolved this problem run "git am -3 --resolved".
 If you would prefer to skip this patch, instead run "git am -3 --skip".
 To restore the original branch and stop patching run "git am -3 --abort".

:-\

-- 
Shawn.